> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prem.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List available tools

> Get a list of all available tools that can be used by the AI assistant



## OpenAPI

````yaml get /tools
openapi: 3.1.0
info:
  title: Prem API
  description: Reference documentation for the Prem API.
  version: 1.0.0
  termsOfService: https://prem.io/terms
  contact:
    name: API Support
    url: https://help.prem.io
    email: support@premai.io
servers:
  - url: https://gateway.prem.io
    description: Production API server
security: []
paths:
  /tools:
    get:
      tags:
        - Chats
        - dev-api
      summary: List available tools
      description: Get a list of all available tools that can be used by the AI assistant
      operationId: listTools
      responses:
        '200':
          $ref: '#/components/responses/listToolsResponse'
components:
  responses:
    listToolsResponse:
      description: Tools list retrieved successfully
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/Response200'
              - $ref: '#/components/schemas/listToolsResponse'
  schemas:
    Response200:
      type: object
      properties:
        status:
          type: integer
          enum:
            - 200
            - 201
            - 202
          description: Status code of the response
        data:
          type:
            - object
            - array
            - 'null'
          description: Response data containing the requested object
        error:
          type:
            - string
            - 'null'
          examples:
            - Invalid email address
          description: Error message of the response, human readable
        message:
          type:
            - string
            - 'null'
          examples:
            - Resource created successfully
          description: Message of the response, human readable
        env:
          type: string
          enum:
            - development
            - production
          description: API environment
        log:
          type:
            - string
            - object
            - 'null'
          examples:
            - request_id: req_1234567890
            - Some pertinent log message
          description: Useful informaiton, not always present, to debug the response
        validator:
          type:
            - object
            - array
            - 'null'
          examples:
            - email: Invalid email address
              password: Password is required
          description: >-
            Validator response object, each key is the field name and value is
            the error message
        support_id:
          type:
            - string
            - 'null'
          format: uuid
          examples:
            - support_uuidv7-something-else
          description: >-
            Support ID linked to the response, used to identify it when talking
            with our team
      required:
        - status
        - data
        - message
        - env
      examples:
        - status: 200
          data:
            id: '123'
          error: null
          log: null
          validator: null
          support_id: null
          message: Resource created successfully
          env: development
    listToolsResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/chatsTool'
      required:
        - data
      examples:
        - data:
            - name: generateImage
              normalizedName: Generate Image
              shortName: Image
              description: Generate Image through Diffusion Model
            - name: webSearchTool
              normalizedName: Web Search
              shortName: Web
              description: Search the web for information.
            - name: imageDescribeAndCaption
              normalizedName: Image Describe and Caption
              shortName: Image
              description: Ability to see images (interacts with Vision Language Models)
    chatsTool:
      type: object
      properties:
        name:
          type: string
          description: Technical name of the tool
        normalizedName:
          type: string
          description: Human-readable display name of the tool
        description:
          type: string
          description: Description of what the tool does
        shortName:
          type: string
          description: Short name of the tool
      required:
        - name
        - normalizedName
        - description
        - shortName
      additionalProperties: false
      examples:
        - name: generateImage
          normalizedName: Generate Image
          shortName: Image
          description: Generate Image through Diffusion Model
        - name: webSearchTool
          normalizedName: Web Search
          shortName: Web
          description: Search the web for information.

````